#include<vector>
#include<iostream>
#include<map>
#include<algorithm>
using namespace std;
int main(){
    int n,m;
    int temp;
    long long int sum=0;
    long long out=0;
    cin>>n>>m;
    map<int,int> a;
    for(int i=0;i<n;i++){
        cin>>temp;
        a[temp]++;
        sum+=temp;

    }
    temp=n;
    if(a[m]>0 && sum<=m*n/2){
        temp-=a[m];
    }
    for (map<int,int>::iterator it=a.begin(); it!=a.end(); ++it){

        out+=(n-temp)*temp;
        temp-=it->second;
        

    }
    cout<<out;
    return 1;
}